Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete attribute link

Removes the bidirectional link between two attributes. After unlinking, adding one attribute to an item will no longer automatically add the other.

DELETE/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}/link/{attribute_template_key_2}/{attribute_key_2}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

attribute_template_keystringrequired

Key of the attribute template

attribute_template_key_2stringrequired

Key of the attribute template you want to link to

attribute_keystringrequired

Key of the attribute

attribute_key_2stringrequired

Key of the attribute you want to link to

Responses
200

Attribute link deleted

datainternal_pkg_webserver_v1.AttributeWithFieldsrequired
Show properties
created_atstring
descriptionstring | null
fieldsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField
created_atstring
idstring
keystring
namestring
typestring
updated_atstring | null
filterableboolean | null
idstring
keystring
linked_attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
updated_atstring | null
valuesobject | null
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/attributes/string/string/link/string/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "created_at": "string",
    "description": "string",
    "fields": [
      {
        "created_at": "string",
        "id": "string",
        "key": "string",
        "name": "string",
        "type": "string",
        "updated_at": "string"
      }
    ],
    "filterable": true,
    "id": "string",
    "key": "string",
    "linked_attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "name": "string",
    "template_key": "string",
    "template_name": "string",
    "translatable": true,
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "values": {
      "property1": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      },
      "property2": {
        "field_id": "string",
        "id": "string",
        "image_id": "string",
        "image_object": {
          "alt": "string",
          "app_id": "string",
          "blurhash": "string",
          "copyright": "string",
          "custom": {
            "property1": "string",
            "property2": "string"
          },
          "folder_id": "string",
          "id": "string",
          "parent_id": "string",
          "public": true,
          "status": "string",
          "title": "string",
          "url": "string"
        },
        "translations": {
          "value": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "type": "string",
        "value": "string"
      }
    }
  },
  "details": [
    "string"
  ],
  "success": true
}